/// 键盘引导消息类型
enum KeyboardGuideMsgType {
  /// 普通消息，只展示，不能操作
  normal("normal"),

  /// 可以复制内容的消息
  copy("copy"),

  /// 亲密度设置
  intimacySetting("intimacySetting");

  final String type;

  const KeyboardGuideMsgType(this.type);

  /// 通过状态字符串，获取对应的状态枚举
  static KeyboardGuideMsgType fromString(String type) {
    return values.firstWhere(
      (e) => e.type == type,
      orElse: () => throw ArgumentError('无效的类型: $type'),
    );
  }

  @override
  String toString() => type;
}
